#include "..\script_component.hpp"

/*
 * Function: forge_server_db_fnc_verifyDB
 * Author: J. Schmidt
 * 
 * Description:
 * Verifies the database is initialized and returns the database object
 *
 * Arguments:
 * None
 *
 * Return Value:
 * Database object <HASHMAP>
 */

private _store = GETMVAR(FORGE_STORE_REG,createHashMap);

if (isNil "_store") then { _store = [] call FUNC(initDB) };
_store